Update customer information for an order
curl --request PATCH \
--url https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer"
payload = {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: {first: 'John', middle: 'Middle', last: 'Doe'},
email: 'john@fabric.inc',
phone: {number: '55555555555', type: 'MOBILE'},
userId: '62272e917b12209e68751d94',
accountId: '62272e917b12209e68751d94',
employeeId: '62272e917b12209e68751d94',
company: 'fabric'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => [
'first' => 'John',
'middle' => 'Middle',
'last' => 'Doe'
],
'email' => 'john@fabric.inc',
'phone' => [
'number' => '55555555555',
'type' => 'MOBILE'
],
'userId' => '62272e917b12209e68751d94',
'accountId' => '62272e917b12209e68751d94',
'employeeId' => '62272e917b12209e68751d94',
'company' => 'fabric'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer"
payload := strings.NewReader("{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n}"
response = http.request(request)
puts response.read_body{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
}{
"message": "Bad request"
}{
"message": "Order not found"
}{
"message": "Internal server error"
}Order
Update customer information for an order
Updates customer information of a specific order by order ID.
PATCH
/
order
/
{orderId}
/
customer
Update customer information for an order
curl --request PATCH \
--url https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer"
payload = {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: {first: 'John', middle: 'Middle', last: 'Doe'},
email: 'john@fabric.inc',
phone: {number: '55555555555', type: 'MOBILE'},
userId: '62272e917b12209e68751d94',
accountId: '62272e917b12209e68751d94',
employeeId: '62272e917b12209e68751d94',
company: 'fabric'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => [
'first' => 'John',
'middle' => 'Middle',
'last' => 'Doe'
],
'email' => 'john@fabric.inc',
'phone' => [
'number' => '55555555555',
'type' => 'MOBILE'
],
'userId' => '62272e917b12209e68751d94',
'accountId' => '62272e917b12209e68751d94',
'employeeId' => '62272e917b12209e68751d94',
'company' => 'fabric'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer"
payload := strings.NewReader("{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n}"
response = http.request(request)
puts response.read_body{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
}{
"message": "Bad request"
}{
"message": "Order not found"
}{
"message": "Internal server error"
}Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Order customer model
Response
Order object updated
Order customer model
Was this page helpful?
